> For the complete documentation index, see [llms.txt](https://docs.blockrazor.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockrazor.io/tc/transaction-submission/block-builder/endpoint.md).

# BSC Block Builder API 端點

查看 BlockRazor BSC Block Builder API 端點，包括全球端點、區域化優化端點和 Fast Submit 端點

### 全球端點

優先使用全局通用入口，適合快速完成接入並服務全球請求，端點：<mark style="color:blue;"><https://rpc.blockrazor.builders></mark>

### **區域化優化**

如果你的 Bot 或服務已經部署在特定區域，並且對延遲一致性更敏感，可以在接入全球通用端點的基礎上進一步接入區域入口

<table><thead><tr><th width="127">地區</th><th width="146">可用區（AWS）</th><th>RPC端點</th></tr></thead><tbody><tr><td>東京</td><td>apne1-az4</td><td>https://tokyo.builder.blockrazor.io</td></tr><tr><td>法蘭克福</td><td>euc1-az2</td><td>https://frankfurt.builder.blockrazor.io</td></tr><tr><td>弗吉尼亞</td><td>use1-az4</td><td>https://virginia.builder.blockrazor.io</td></tr><tr><td>都柏林</td><td>euw1-az1</td><td>https://dublin.builder.blockrazor.io</td></tr></tbody></table>

### **鏈路質量加強**

如果你已經完成基礎接入，開始關注提交路徑中的額外開銷、跨區域波動和高負載下的穩定性，可以進一步接入 [Fast Submit](https://docs.blockrazor.io/tc/transaction-submission/block-builder/bsc-block-builder-fast-submit.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.blockrazor.io/tc/transaction-submission/block-builder/endpoint.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
